#ifndef LOGGER_H
#define LOGGER_H



#include <iostream>
#include <fstream>
#include <string>
#include <streambuf>
#include <ctime> // std::time, localtime ...


#include "parameterManager.h"


class Logger
{
public:
    Logger(std::string logFilePathm);
    ~Logger();
    std::string getFilePath();
    std::fstream file;

    int logCommandLine(std::string logText);
    int logSubLine(std::string line);
    std::string getLogText();
    int clearFile();


private:
    std::string filePath;
    int writetoFile(std::string t);
    int openFile(std::string path);
};

#endif // LOGGER_H
